<?php
/**
 * Copyright © 2013-2017 Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace GlobalOnePay\Payment\Model\Source;

use Magento\Framework\Option\ArrayInterface;

/**
 *
 * Gateway Payment Action Dropdown source
 */
class AccountType implements ArrayInterface
{
    /**
     * {@inheritdoc}
     */
    public function toOptionArray()
    {
        return [
            [
                'value' => \GlobalOnePay\Payment\Model\GlobalOnePay::MODE_TEST,
                'label' => __('Test')
            ],
            [
                'value' => \GlobalOnePay\Payment\Model\GlobalOnePay::MODE_LIVE,
                'label' => __('Live')
            ]
        ];
    }
}
