<?php
/**
 * Copyright © 2013-2017 Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace GlobalOnePay\Payment\Model\Source;

use Magento\Framework\Option\ArrayInterface;

/**
 *
 * Gateway Payment Action Dropdown source
 */
class CurrencyAction implements ArrayInterface
{
    /**
     * {@inheritdoc}
     */
    public function toOptionArray()
    {
        return [
            [
                'value' => \GlobalOnePay\Payment\Model\GlobalOnePay::CURRENCY_EUR,
                'label' => __('Euro')
            ],
            [
                'value' => \GlobalOnePay\Payment\Model\GlobalOnePay::CURRENCY_GBP,
                'label' => __('Sterling')
            ],
            [
                'value' => \GlobalOnePay\Payment\Model\GlobalOnePay::CURRENCY_USD,
                'label' => __('US Dollar')
            ],
            [
                'value' => \GlobalOnePay\Payment\Model\GlobalOnePay::CURRENCY_CAD,
                'label' => __('Canadian Dollar')
            ],
            [
                'value' => \GlobalOnePay\Payment\Model\GlobalOnePay::CURRENCY_AUD,
                'label' => __('Australian Dollar')
            ],
            [
                'value' => \GlobalOnePay\Payment\Model\GlobalOnePay::CURRENCY_DKK,
                'label' => __('Danish Krone')
            ],
            [
                'value' => \GlobalOnePay\Payment\Model\GlobalOnePay::CURRENCY_SEK,
                'label' => __('Swedish Krona')
            ],
            [
                'value' => \GlobalOnePay\Payment\Model\GlobalOnePay::CURRENCY_NOK,
                'label' => __('Norwegian Krone')
            ]
        ];
    }
}
